package com.goafanti.common.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;


/**
 * 公出协单意见表(PublicAssistAdvice)实体类
 *
 * @author makejava
 * @since 2024-07-12 09:21:26
 */
public class PublicAssistAdvice implements Serializable {
    private static final long serialVersionUID = -51499592786363889L;

    private Integer id;
/**
     * 公出编号
     */
    private Integer prid;
/**
     * 协单意见人
     */
    private String aid;
/**
     * 协单意见人名称
     */
    private String aname;
/**
     * 审核人编号
     */
    private String remarks;
/**
     * 创建时间
     */
    private Date createTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getPrid() {
        return prid;
    }

    public void setPrid(Integer prid) {
        this.prid = prid;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public String getAname() {
        return aname;
    }

    public void setAname(String aname) {
        this.aname = aname;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

